ChangeSet 1.1608.84.10, 2004/03/11 13:22:16-08:00, greg@kroah.com

PCI Hotplug: use the new decl_subsys_name() macro instead of rolling our own.


 drivers/pci/hotplug/pci_hotplug_core.c |   14 +-------------
 1 files changed, 1 insertion(+), 13 deletions(-)


diff -Nru a/drivers/pci/hotplug/pci_hotplug_core.c b/drivers/pci/hotplug/pci_hotplug_core.c
--- a/drivers/pci/hotplug/pci_hotplug_core.c	Mon Mar 15 15:29:01 2004
+++ b/drivers/pci/hotplug/pci_hotplug_core.c	Mon Mar 15 15:29:01 2004
@@ -104,19 +104,7 @@
 	.release = &hotplug_slot_release,
 };
 
-/* 
- * We create a struct subsystem on our own and not use decl_subsys so
- * we can have a sane name "slots" in sysfs, yet still keep a good
- * global variable name "pci_hotplug_slots_subsys.
- * If the decl_subsys() #define ever changes, this declaration will
- * need to be update to make sure everything is initialized properly.
- */
-struct subsystem pci_hotplug_slots_subsys = {
-	.kset = {
-		.kobj = { .name = "slots" },
-		.ktype = &hotplug_slot_ktype,
-	}
-};
+decl_subsys_name(pci_hotplug_slots, slots, &hotplug_slot_ktype, NULL);
 
 /* these strings match up with the values in pci_bus_speed */
 static char *pci_bus_speed_strings[] = {
